# 项目相关配置
ruoyi:
  # 名称
  name: RuoYi
  # 版本
  version: 3.2.0
  # 版权年份
  copyrightYear: 2020
  # 实例演示开关
  demoEnabled: true
  # 文件路径 示例（ Windows配置D:/ruoyi/uploadPath，Linux配置 /u03/cpmsfile/uploadPath）
  profile: D:/ruoyi/uploadPath
  # 邮件中链接跳转路径 示例（本地：http://localhost/#，服务器：http://47.114.101.16:8080/cpms/index.html#）
  requestJumpPath: https://cpms.basf-ypc.net.cn/cpms/index.html#
  # 获取ip地址开关
  addressEnabled: false
  # 验证码类型 math 数组计算 char 字符验证
  captchaType: math

# 开发环境配置
server:
  # 服务器的HTTP端口，默认为8080
  port: 8080
  servlet:
    # 应用的访问路径
    context-path: /
  tomcat:
    # tomcat的URI编码
    uri-encoding: UTF-8
    # tomcat最大线程数，默认为200
    max-threads: 200
    # Tomcat启动初始化的线程数，默认值25
    min-spare-threads: 25
    connection-timeout: 2000000ms
# 日志配置
logging:
  level:
    com.ruoyi: debug
    org.springframework: warn
  file:
    name: logs/app.log
# Spring配置
spring:
  # 资源信息
  messages:
    # 国际化资源文件路径
    basename: i18n/messages
  profiles:
    active: druid
  #activiti配置
  activiti:
    database-schema-update: false
    db-identity-used: true
    history-level: full
    db-history-used: true
    #启用异步执行器
    job-executor-activate: true
  freemarker:
    checkTemplateLocation: false
    classic-compatible: true
    suffix: .ftlh
    ettings:
      recognize_standard_file_extensions: true
  # 文件上传
  servlet:
     multipart:
       # 单个文件大小
       max-file-size:  20MB
       # 设置总上传的文件大小
       max-request-size:  30MB
  # 服务模块
  devtools:
    restart:
      # 热部署开关
      enabled: true
  # redis 配置
  redis:
#    # 地址
    host: 47.114.101.16
    # 端口，默认为6379
    port: 6379
    # 密码
    password: ssy666666
    database: 1
#    host: 127.0.0.1
#    port: 6379
#    password:
    # 连接超时时间
    timeout: 10s
    lettuce:
      pool:
        # 连接池中的最小空闲连接
        min-idle: 0
        # 连接池中的最大空闲连接
        max-idle: 8
        # 连接池的最大数据库连接数
        max-active: 8
        # #连接池最大阻塞等待时间（使用负值表示没有限制）
        max-wait: -1ms
  # 邮箱配置
  mail:
    host: smtpout.basf-it-services.com
    protocol: smtp
    default-encoding: UTF-8
    password:
    username:
    port: 25
    properties.mail.stmp.socketFactory.class: javax.net.ssl.SSLSocketFactory
    properties.mail.debug: true
    from: CPMS.byc@BASF-YPC.com.cn
#    host: smtp.exmail.qq.com
#    protocol: smtp
#    default-encoding: UTF-8
#    password: vvTAT8hciG7FLk4C
#    username: email@seashoreept.com
#    port: 587
#    properties.mail.stmp.socketFactory.class: javax.net.ssl.SSLSocketFactory
#    properties.mail.debug: true
#    from: email@seashoreept.com
# token配置
token:
    # 令牌自定义标识
    header: Authorization
    # 令牌密钥
    secret: abcdefghijklmnopqrstuvwxyz
    # 令牌有效期（默认30分钟）
    expireTime: 600000

# MyBatis配置
mybatis:
    # 搜索指定包别名
    typeAliasesPackage: com.ruoyi.project.**.domain
    # 配置mapper的扫描，找到所有的mapper.xml映射文件
    mapperLocations: classpath*:mybatis/**/*Mapper.xml
    # 加载全局的配置文件
    configLocation: classpath:mybatis/mybatis-config.xml
#mybatis
mybatis-plus:
  mapper-locations: classpath*:mybatis/**/*Mapper.xml
  #实体扫描，多个package用逗号或者分号分隔
  typeAliasesPackage: com.ruoyi.project.**.domain
  global-config:
    #数据库相关配置
    db-config:
      #主键类型  AUTO:"数据库ID自增", INPUT:"用户输入ID", ID_WORKER:"全局唯一ID (数字类型唯一ID)", UUID:"全局唯一ID UUID";
      id-type: AUTO
      logic-delete-field: DEL_FLAG  #全局逻辑删除字段值 3.3.0开始支持，详情看下面。
      logic-delete-value: 2 # 逻辑已删除值
      logic-not-delete-value: 0 # 逻辑未删除值
    banner: false
  #原生配置
  configuration:
    map-underscore-to-camel-case: true
    cache-enabled: false
    call-setters-on-nulls: true
    jdbc-type-for-null: 'null'
# PageHelper分页插件
pagehelper:
  helperDialect: oracle
  reasonable: false
  supportMethodsArguments: true
  params: count=countSql

# Swagger配置
swagger:
  # 是否开启swagger
  enabled: true
  # 请求前缀
  pathMapping: /dev-api

# 防止XSS攻击
xss:
  # 过滤开关
  enabled: true
  # 排除链接（多个用逗号分隔）
  excludes: /system/notice/*
  # 匹配链接
  urlPatterns: /system/*,/monitor/*,/tool/*
# 文件预览
jodconverter:
  local:
    enabled: true
    # 设置LibreOffice主目录
    #    office-home: /opt/libreoffice7.2  C:/Program Files/LibreOffice
    office-home: C:/Program Files/LibreOffice
    max-tasks-per-process: 100
    port-numbers: 8100
    # 开启多个LibreOffice进程，每个端口对应一个进程
    portNumbers: 9080,9081,9089

# 代码生成
gen:
  # 作者
  author: ruoyi
  # 默认生成包路径 system 需改成自己的模块名称 如 system monitor tool
  packageName: com.ruoyi.project.sems.safecheck # 自动去除表前缀，默认是true
  autoRemovePre: false
  # 表前缀（生成类名不会包含表前缀，多个用逗号分隔）
  tablePrefix: sys_
#设置密钥
# 解密java -cp jasypt-1.9.2.jar org.jasypt.intf.cli.JasyptPBEStringDecryptionCLI input="dIaPam9ayoR1AqBvm+B0GO9RBhpIqIVe" password=test algorithm=PBEWithMD5AndDES
#C:\Users\ly\.m2\repository\org\jasypt\jasypt\1.9.2>java -cp jasypt-1.9.2.jar org.jasypt.intf.cli.JasyptPBEStringEncryptionCLI input="ssy123456" password=test algorithm=PBEWithMD5AndDES
jasypt:
  encryptor:
    password: test


